CMSIS-NN: Globals

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Enumerations
- Enumerator
- Macros

- c
- h
- i
- o
- r
- s
- t
- u

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages

### - c -

- col_buffer : arm_nnexamples_cifar10.cpp
- conv1_bias : arm_nnexamples_cifar10.cpp
- conv1_wt : arm_nnexamples_cifar10.cpp
- conv2_bias : arm_nnexamples_cifar10.cpp
- conv2_wt : arm_nnexamples_cifar10.cpp
- conv3_bias : arm_nnexamples_cifar10.cpp
- conv3_wt : arm_nnexamples_cifar10.cpp

### - h -

- hidden_state_bias : arm_nnexamples_gru.cpp
- hidden_state_weights : arm_nnexamples_gru.cpp

### - i -

- image_data : arm_nnexamples_cifar10.cpp
- ip1_bias : arm_nnexamples_cifar10.cpp
- ip1_wt : arm_nnexamples_cifar10.cpp

### - o -

- output_data : arm_nnexamples_cifar10.cpp

### - r -

- reset_gate_bias : arm_nnexamples_gru.cpp
- reset_gate_weights : arm_nnexamples_gru.cpp

### - s -

- scratch_buffer : arm_nnexamples_cifar10.cpp , arm_nnexamples_gru.cpp
- sigmoidHTable_q15 : arm_nn_tables.h , arm_nntables.c
- sigmoidLTable_q15 : arm_nn_tables.h , arm_nntables.c
- sigmoidTable_q15 : arm_nn_tables.h , arm_nntables.c
- sigmoidTable_q7 : arm_nn_tables.h , arm_nntables.c

### - t -

- tanhHTable_q15 : arm_nntables.c
- tanhLTable_q15 : arm_nntables.c
- tanhTable_q15 : arm_nn_tables.h , arm_nntables.c
- tanhTable_q7 : arm_nn_tables.h , arm_nntables.c
- test_history : arm_nnexamples_gru.cpp
- test_input1 : arm_nnexamples_gru.cpp
- test_input2 : arm_nnexamples_gru.cpp

### - u -

- update_gate_bias : arm_nnexamples_gru.cpp
- update_gate_weights : arm_nnexamples_gru.cpp